<?xml version="1.0"?>

<xsl:stylesheet version='1.0'
 xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
 xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance'
 xmlns:uct='http://www.uct.ac.za'
 xmlns="http://www.w3.org/1999/xhtml"
>

<!--
   UCT to HTML transformation
   Hussein Suleman
   v1.0 : 9 June 2005
-->

   <xsl:output method="xml"/>

   <xsl:variable name="institution"><xsl:text>UCT</xsl:text></xsl:variable>

   <xsl:template match="uct:uct">
      <html><body>
      <h1>UCT Test Record</h1>
      <hr/>
      <p><b>Title:</b> <xsl:value-of select="uct:title"/></p>
      <p><xsl:apply-templates select="uct:author"/></p>
      <p><b>Publisher:</b>
<xsl:value-of select="$institution"/></p>
      <p><xsl:apply-templates select="uct:version"/></p>
      </body></html>
   </xsl:template>

   <xsl:template match="uct:author">
      <b>Author:</b><xsl:value-of select="."/>
   </xsl:template>

   <xsl:template match="uct:version">
      <b>Version Number:</b><xsl:value-of select="uct:number"/>
   </xsl:template>

</xsl:stylesheet>

